; -- Show and change the ScaleFactor property of dimensions and leaders ---
(defun c:SF (/ n ss1 ent1 obj1 oldSF newSF)
(setq ss1 (ssget '((-4 . "<OR")(0 . "DIMENSION")(0 . "LEADER")(-4 . "OR>"))))
(initget 6)
(setq ent1 (ssname ss1 0))
(setq obj1 (vlax-ename->vla-object ent1))
(setq oldSF (rtos (vlax-get-property obj1 "ScaleFactor") 2))
(setq newSF (GETREAL (STRCAT "\nEnter ScaleFactor <" oldSF ">: ")))
(IF ss1 (repeat (SETQ n (SSLENGTH ss1))
   (vla-put-scalefactor (vlax-ename->vla-object (ssname ss1 (SETQ n (1- n)))) newSF) ) )
; (if ss1 (sssetfirst nil ss1)) ; remove first semi-colon to terminate with the set selected
(princ)
)